CRAN Package Check Results for Package lwgeom

Last updated on 2021-09-22 22:56:32 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.2-7 102.37 70.71 173.08 WARN
r-devel-linux-x86_64-debian-gcc 0.2-7 68.75 53.80 122.55 WARN
r-devel-linux-x86_64-fedora-clang 0.2-7 230.54 OK
r-devel-linux-x86_64-fedora-gcc 0.2-7 217.58 OK
r-devel-windows-x86_64 0.2-7 113.00 104.00 217.00 NOTE
r-devel-windows-x86_64-gcc10-UCRT 0.2-7 ERROR
r-patched-linux-x86_64 0.2-7 82.07 66.73 148.80 WARN
r-patched-solaris-x86 0.2-7 259.00 OK
r-release-linux-x86_64 0.2-7 80.75 66.40 147.15 WARN
r-release-macos-arm64 0.2-7 NOTE
r-release-macos-x86_64 0.2-7 NOTE
r-release-windows-ix86+x86_64 0.2-7 278.00 165.00 443.00 NOTE
r-oldrel-macos-x86_64 0.2-7 NOTE
r-oldrel-windows-ix86+x86_64 0.2-7 214.00 165.00 379.00 NOTE

Check Details

Version: 0.2-7
Check: top-level files
Result: WARN
     Output from running autoreconf:
     configure.ac:38: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:38: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:38: the top level
     configure.ac:55: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:55: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:55: the top level
     configure.ac:99: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:99: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:99: the top level
     configure.ac:181: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:181: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:181: the top level
     configure.ac:398: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:398: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:398: the top level
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-patched-linux-x86_64, r-release-linux-x86_64

Version: 0.2-7
Check: installed package size
Result: NOTE
     installed size is 10.9Mb
     sub-directories of 1Mb or more:
     libs 10.8Mb
Flavors: r-devel-windows-x86_64, r-release-macos-arm64, r-release-macos-x86_64, r-release-windows-ix86+x86_64, r-oldrel-macos-x86_64, r-oldrel-windows-ix86+x86_64

Version: 0.2-7
Check: package dependencies
Result: ERROR
    Packages required but not available: 'units', 'sf'
    
    See section 'The DESCRIPTION file' in the 'Writing R Extensions'
    manual.
Flavor: r-devel-windows-x86_64-gcc10-UCRT